image: microsoft/dotnet:latest

stages:
  - maintenance-database

sync-schema-database:
  stage: maintenance-database
  script:
    - cmd /Q /C ".\sync-schema-database.cmd"
  allow_failure: false
  when: manual
  
sync-data-database:
  stage: maintenance-database
  script:
    - cmd /Q /C ".\sync-data-database.cmd"
  allow_failure: false
  when: manual

rollback-schema-database:
  stage: maintenance-database
  script:
    - cmd /Q /C ".\rollback-schema-database.cmd"
  allow_failure: false
  when: manual
